Update uppdaterar fel program!

Tråden skapades och har fått 4 svar. Det senaste inlägget skrevs .
1

Det här fenomenet har jag haft flera gånger, första gången pajade jag mail.app.

Sedan något år får jag då och då meddelanden om att det finns en ny version av ett program och frågan om jag vill uppdatera till den nyaste versionen. Oftast är det tillbehörsprogram från tredjepartstillverkare.

Första gången klickade jag på ok utan att märka att något var fel. Programmet bad mig avsluta Mail.app (!) av någon konstig anledning så jag gjorde det. Efter det att uppdateringen hade gjorts startade inte Mail.app längre.

Jag kunde rädda Mail mha en backup och nästa gång en liknande uppdatering dök upp såg jag vad som var fel, vilket man även kan se i de bifogade skärmdumparna:

Uppdateringsfönstret påstår sig vilja uppdatera ett visst program. Som programsymbol visas dock Mail.app! Det är inte alltid så, de flesta programuppdateringar funkar ok.

Någonstans pekar informationen om vilket program som ska uppdateras fel och pekar på Mail.app istället. Är det i instäälningarna till Mail.app eller i de andra programmen? Var hittar jag dessa inställningar?

Har någon haft ett liknande problem och om ja, hur löste ni det? En fräsch installation är visserligen en möjlighet, jag misstänker dock att när jag hämtar alla inställningar via Time Machine så har jag samma problem igen...

Men vad är det för uppdateringsprogram du kör? Apples egna program uppdaterar ju inte 3:e partsprogram..

Flera program har en egen uppdateringsfunktion och det är den som används. Förmodligen är det en funktion som flera använder sig utav eftersom alla tre fönstren är mycket lika varandra.

Finns det någon programmerare som kan förstå mitt problem?

Tydligen så måste ju det pekas fel någonstans,frågan är bara var?

Pekas det fel i tredjepartsprogrammet så att uppdateraren skriver över Mail.app istället eller tror Mail att dessa uppdateringar är tänkta för det?

Är lite märkvärdigt att jag är den ende Mac OS X-användaren i hela världen som tycks ha det här problemet...

  • Medlem
  • International user
  • 2009-02-10 12:15

Programmen använder sparkle frameworken för att uppdatera. Vill du inte använda auto update funktionien kan du gå in på varje programs sida och ladda ner uppdateraren maneullt.

//Rob

1
Bevaka tråden